I can't update the system because of an error

[orbital@orbital-m32cd ~]$ sudo pacman -Syu
[sudo] password for orbital: 
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 endeavouros is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: smbclient will be installed before its cifs-utils dependency

Package (75)                         Old Version     New Version     Net Change  Download Size

endeavouros/akm                      2.9.4-1         2.10-2            0,00 MiB               
extra/alsa-card-profiles             1:0.3.50-1      1:0.3.51-1        0,00 MiB               
core/archlinux-keyring               20220423-1      20220424-1        0,00 MiB               
core/audit                           3.0.7-1         3.0.8-1           0,00 MiB               
extra/bind                           9.18.1-1        9.18.2-1         -0,03 MiB               
core/bison                           3.8.2-3         3.8.2-4           0,00 MiB               
core/brotli                          1.0.9-7         1.0.9-8           0,03 MiB               
core/btrfs-progs                     5.16.2-1        5.17-1            0,04 MiB               
extra/cifs-utils                     6.14-1          6.15-1            0,00 MiB               
core/curl                            7.82.0-2        7.83.0-1          0,01 MiB               
community/duf                        0.8.1-1         0.8.1-2          -0,31 MiB               
endeavouros/eos-apps-info            1.2.5-1         1.2.5-3           0,00 MiB               
endeavouros/eos-bash-shared          1.10.42-1       1.12-1            0,01 MiB               
endeavouros/eos-lightdm-slick-theme  2.0-2           2.0-4             0,00 MiB               
endeavouros/eos-update-notifier      1.15.3-1        1.17-1            0,00 MiB               
community/firewalld                  1.0.3-3         1.1.1-1           0,50 MiB       0,98 MiB
extra/fluidsynth                     2.2.6-1         2.2.7-1           0,00 MiB               
extra/freetype2                      2.12.0-2        2.12.1-1          0,00 MiB               
extra/geoip-database                 20220315-1      20220419-1       -1,48 MiB               
core/gnupg                           2.2.32-2        2.2.35-1         -1,47 MiB               
core/gnutls                          3.7.4-1         3.7.4-2           0,00 MiB               
extra/gst-plugin-pipewire            1:0.3.50-1      1:0.3.51-1        0,00 MiB               
extra/gtk3                           1:3.24.33-2     1:3.24.33-3       0,05 MiB               
extra/hwdetect                       2022.01-5       2022.04-2         0,00 MiB               
community/hwinfo                     21.80-1         21.80-2          -0,01 MiB               
core/iana-etc                        20220325-1      20220427-1        0,00 MiB               
extra/imlib2                         1.8.1-1         1.9.0-3           0,10 MiB               
core/iproute2                        5.17.0-2        5.17.0-3          0,00 MiB               
community/libappindicator-gtk3       12.10.0.r296-1  12.10.0.r296-2    0,00 MiB               
community/libdbusmenu-glib           16.04.0-4       16.04.0-5         0,00 MiB               
community/libdbusmenu-gtk3           16.04.0-4       16.04.0-5         0,00 MiB               
core/libelf                          0.186-5         0.187-1           0,01 MiB               
extra/libgudev                       237-1           237-2             0,00 MiB               
community/libindicator-gtk3          12.10.1-9       12.10.1-10        0,00 MiB               
core/libinih                         53-2            55-2              0,00 MiB       0,02 MiB
community/libmanette                 0.2.6-2         0.2.6-3           0,00 MiB               
extra/libmbim                        1.26.2-1        1.26.4-1          0,31 MiB               
extra/libmm-glib                     1.18.6-1        1.18.8-1          0,00 MiB               
core/libnl                           3.6.0-1         3.6.0-3           0,01 MiB               
extra/libnotify                      0.7.9-2         0.7.11-1          0,01 MiB               
extra/libopenmpt                     0.6.2-1         0.6.3-1           0,00 MiB               
core/libpipeline                     1.5.5-1         1.5.6-1           0,00 MiB               
extra/libqmi                         1.30.4-1        1.30.6-1        -21,07 MiB               
extra/libqrtr-glib                   1.2.2-1         1.2.2-2           0,00 MiB               
core/libseccomp                      2.5.3-3         2.5.4-1           0,00 MiB               
community/libx86emu                  3.5-1           3.5-2             0,00 MiB               
community/lightdm-slick-greeter      1.5.6-1         1.5.7-1           0,00 MiB               
core/linux                           5.17.4.arch1-1  5.17.5.arch1-1    0,00 MiB               
core/linux-headers                   5.17.4.arch1-1  5.17.5.arch1-1    0,00 MiB               
extra/mesa                           22.0.1-3        22.0.2-1          0,00 MiB               
extra/modemmanager                   1.18.6-1        1.18.8-1          0,02 MiB               
extra/mpg123                         1.29.3-1        1.29.3-2         -0,01 MiB               
core/nano                            6.2-1           6.3-1             0,10 MiB               
core/ncurses                         6.3-2           6.3-3             0,00 MiB               
core/pacman-mirrorlist               20220410-1      20220501-1        0,00 MiB               
core/pciutils                        3.7.0-2         3.8.0-1           0,01 MiB               
extra/pipewire                       1:0.3.50-1      1:0.3.51-1        0,02 MiB               
extra/pipewire-alsa                  1:0.3.50-1      1:0.3.51-1        0,00 MiB               
extra/pipewire-jack                  1:0.3.50-1      1:0.3.51-1        0,00 MiB               
extra/pipewire-pulse                 1:0.3.50-1      1:0.3.51-1        0,00 MiB               
extra/pkcs11-helper                  1.28.0-1        1.29.0-1          0,01 MiB               
community/polkit-gnome               0.105-8         0.105-9           0,00 MiB               
extra/power-profiles-daemon          0.10.1-2        0.11-1            0,00 MiB               
community/python-shtab               1.5.3-1         1.5.4-1           0,01 MiB               
community/r8168                      8.049.02-72     8.049.02-73       0,00 MiB               
extra/sdl2                           2.0.20-2        2.0.22-1          0,05 MiB               
extra/smbclient                      4.16.0-5        4.16.0-6          0,00 MiB               
core/sqlite                          3.38.2-1        3.38.3-1          0,00 MiB               
core/systemd                         250.4-2         250.5-1           0,05 MiB               
core/systemd-libs                    250.4-2         250.5-1           0,00 MiB               
core/systemd-sysvcompat              250.4-2         250.5-1           0,00 MiB               
extra/thunar                         4.16.11-1       4.16.11-2         0,00 MiB               
extra/thunar-archive-plugin          0.4.0-3         0.5.0-1           0,02 MiB               
endeavouros/welcome                  3.17.31-2       3.18-4            0,00 MiB               
extra/xfce4-settings                 4.16.2-1        4.16.2-2         -0,20 MiB               

Total Download Size:     1,00 MiB
Total Installed Size:  650,05 MiB
Net Upgrade Size:      -23,21 MiB

:: Proceed with installation? [Y/n] Y
:: Retrieving packages...
 libinih-55-2-x86_64              15,4 KiB  42,5 KiB/s 00:00 [--------------------------------] 100%
 firewalld-1.1.1-1-any          1007,6 KiB   480 KiB/s 00:02 [--------------------------------] 100%
 Total (2/2)                    1023,0 KiB   477 KiB/s 00:02 [--------------------------------] 100%
(75/75) checking keys in keyring                             [--------------------------------] 100%
(75/75) checking package integrity                           [--------------------------------] 100%
error: firewalld: signature from "Maxime Gauduin <alucryd@gmail.com>" is marginal trust
:: File /var/cache/pacman/pkg/firewalld-1.1.1-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] Y
error: libinih: signature from "Maxime Gauduin <alucryd@gmail.com>" is marginal trust
:: File /var/cache/pacman/pkg/libinih-55-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] Y
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

1 Like

Try this:

sudo pacman -Sy archlinux-keyring
sudo pacman -Syu

This is the first thing you should try when you get signature from some key is marginal trust

10 Likes
[orbital@orbital-m32cd ~]$ sudo pacman -Syu
[sudo] password for orbital: 
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 endeavouros is up to date
:: Starting full system upgrade...
 there is nothing to do

1 Like

Thank you very much @dalto

1 Like

https://forum.endeavouros.com/search?q=marginal%20trust

3 Likes

Thank you for this information!

So yesterday the problem was solved thanks to the commands you gave me. But after I started my PC today I noticed my Wifi doesn’t connect anymore.

The connections are still saved but doesn’t connect anymore?

New Project

image

Where did you get the dkms package for your wireless device?

If it came from AUR, try rebuilding it.

1 Like
[orbital@orbital-m32cd ~]$ yay -S rtl88x2bu-dkms-git 
:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur:1]  rtl88x2bu-dkms-git-5.13.1.r149.7f96b19-1

  1 rtl88x2bu-dkms-git               (Installed) (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> A
:: Deleting (1/1): /home/orbital/.cache/yay/rtl88x2bu-dkms-git
:: (1/1) Downloaded PKGBUILD: rtl88x2bu-dkms-git
  1 rtl88x2bu-dkms-git               (Installed) (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> 
:: (1/1) Parsing SRCINFO: rtl88x2bu-dkms-git
==> Making package: rtl88x2bu-dkms-git 5.13.1.r149.7f96b19-1 (Mo 02 Mai 2022 20:27:58 CEST)
==> Retrieving sources...
  -> Cloning RTL88x2BU-Linux-Driver git repo...
Cloning into bare repository '/home/orbital/.cache/yay/rtl88x2bu-dkms-git/RTL88x2BU-Linux-Driver'...
remote: Enumerating objects: 2681, done.
remote: Counting objects: 100% (207/207), done.
remote: Compressing objects: 100% (38/38), done.
remote: Total 2681 (delta 193), reused 169 (delta 169), pack-reused 2474
Receiving objects: 100% (2681/2681), 8.20 MiB | 3.74 MiB/s, done.
Resolving deltas: 100% (1919/1919), done.
==> Validating source files with sha256sums...
    RTL88x2BU-Linux-Driver ... Skipped
==> Making package: rtl88x2bu-dkms-git 5.13.1.r149.7f96b19-1 (Mo 02 Mai 2022 20:28:04 CEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating RTL88x2BU-Linux-Driver git repo...
Fetching origin
==> Validating source files with sha256sums...
    RTL88x2BU-Linux-Driver ... Skipped
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of RTL88x2BU-Linux-Driver git repo...
Cloning into 'RTL88x2BU-Linux-Driver'...
done.
==> Starting pkgver()...
==> Updated version: rtl88x2bu-dkms-git 5.13.1.r158.a543f24-1
==> Sources are ready.
==> Making package: rtl88x2bu-dkms-git 5.13.1.r158.a543f24-1 (Mo 02 Mai 2022 20:28:11 CEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting pkgver()...
==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
  -> Removing libtool files...
  -> Purging unwanted files...
  -> Removing static library files...
  -> Stripping unneeded symbols from binaries and libraries...
  -> Compressing man and info pages...
==> Checking for packaging issues...
==> Creating package "rtl88x2bu-dkms-git"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Generating .MTREE file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: rtl88x2bu-dkms-git 5.13.1.r158.a543f24-1 (Mo 02 Mai 2022 20:28:19 CEST)
==> Cleaning up...
 -> Found git repo: github.com/RinCat/RTL88x2BU-Linux-Driver.git
[sudo] password for orbital: 
loading packages...
warning: rtl88x2bu-dkms-git-5.13.1.r158.a543f24-1 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Package (1)         Old Version            New Version            Net Change

rtl88x2bu-dkms-git  5.13.1.r158.a543f24-1  5.13.1.r158.a543f24-1    0,00 MiB

Total Installed Size:  27,26 MiB
Net Upgrade Size:       0,00 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                               [--------------------------------] 100%
(1/1) checking package integrity                             [--------------------------------] 100%
(1/1) loading package files                                  [--------------------------------] 100%
(1/1) checking for file conflicts                            [--------------------------------] 100%
:: Running pre-transaction hooks...
(1/1) Remove upgraded DKMS modules
==> dkms remove --no-depmod rtl88x2bu/5.13.1.r158.a543f24 -k 5.17.5-arch1-1
:: Processing package changes...
(1/1) reinstalling rtl88x2bu-dkms-git                        [--------------------------------] 100%
:: Running post-transaction hooks...
(1/3) Arming ConditionNeedsUpdate...
(2/3) Install DKMS modules
==> dkms install --no-depmod rtl88x2bu/5.13.1.r158.a543f24 -k 5.17.5-arch1-1
==> depmod 5.17.5-arch1-1
(3/3) Checking which packages need to be rebuilt
[orbital@orbital-m32cd ~]$ 

I also tried this command:

[orbital@orbital-m32cd ~]$ sudo pacman -R rtl8822bu-dkms-git
[sudo] password for orbital: 
error: target not found: rtl8822bu-dkms-git
[orbital@orbital-m32cd ~]$ yay -S rtl88x2bu-dkms-git --needed
:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur:1]  rtl88x2bu-dkms-git-5.13.1.r149.7f96b19-1

  1 rtl88x2bu-dkms-git               (Installed) (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> A
:: Deleting (1/1): /home/orbital/.cache/yay/rtl88x2bu-dkms-git
:: (1/1) Downloaded PKGBUILD: rtl88x2bu-dkms-git
  1 rtl88x2bu-dkms-git               (Installed) (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> 
:: (1/1) Parsing SRCINFO: rtl88x2bu-dkms-git
==> Making package: rtl88x2bu-dkms-git 5.13.1.r149.7f96b19-1 (Mo 02 Mai 2022 20:31:40 CEST)
==> Retrieving sources...
  -> Cloning RTL88x2BU-Linux-Driver git repo...
Cloning into bare repository '/home/orbital/.cache/yay/rtl88x2bu-dkms-git/RTL88x2BU-Linux-Driver'...
remote: Enumerating objects: 2681, done.
remote: Counting objects: 100% (207/207), done.
remote: Compressing objects: 100% (38/38), done.
remote: Total 2681 (delta 193), reused 169 (delta 169), pack-reused 2474
Receiving objects: 100% (2681/2681), 8.20 MiB | 813.00 KiB/s, done.
Resolving deltas: 100% (1919/1919), done.
==> Validating source files with sha256sums...
    RTL88x2BU-Linux-Driver ... Skipped
==> Making package: rtl88x2bu-dkms-git 5.13.1.r149.7f96b19-1 (Mo 02 Mai 2022 20:31:54 CEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating RTL88x2BU-Linux-Driver git repo...
Fetching origin
==> Validating source files with sha256sums...
    RTL88x2BU-Linux-Driver ... Skipped
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of RTL88x2BU-Linux-Driver git repo...
Cloning into 'RTL88x2BU-Linux-Driver'...
done.
==> Starting pkgver()...
==> Updated version: rtl88x2bu-dkms-git 5.13.1.r158.a543f24-1
==> Sources are ready.
==> Making package: rtl88x2bu-dkms-git 5.13.1.r158.a543f24-1 (Mo 02 Mai 2022 20:32:01 CEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting pkgver()...
==> Sources are ready.
rtl88x2bu-dkms-git-5.13.1.r158.a543f24-1 is up to date -- skipping
[orbital@orbital-m32cd ~]$ 

It looks like it worked.

No I’m still on ethernet.

Did you try rebooting after that?

No I will reboot now and tell you if it works.

It works now. Thank you so much! I don’t understand why I had to rebuild it.

Is it because I’ve used this command yesterday?

sudo pacman -Sy archlinux-keyring

No, it is probably because of one of the other updates that came in with your normal updates.

Your original output shows it failing during your update.

You helped me a lot. Thank you very much!

1 Like

To help deal with this issue, file /etc/eos-script-lib-yad.conf includes a new setting. If it is set to yes like this:

EOS_UPDATE_ARCH_KEYRING_FIRST=yes   # default: no

then programs

  • eos-update-notifier
  • welcome (the Update System button on the After Install tab)
  • UpdateInTerminal

will update package archlinux-keyring before other packages.

Alternatively (= if you don’t want to use the configuration setting) you can use option --keyring with program UpdateInTerminal:

UpdateInTerminal --keyring

Tip: user program eos-pacdiff to merge the new features into file
/etc/eos-script-lib-yad.conf.

2 Likes

Just out of curiosity, why is that pacman has this issue with keyrings’ updates?
Is there a similar parameter in pacman.conf to be set to avoid this?

I’m not sure if I should use these methods because I’m still a newbie. But I think I understood what they do.

When I use these methods I don’t have to manually rebuild the package for my wireless device right?

It isn’t really pacman’s fault. It usually only happens when you go a long time between updates and your keyring is out of date. In this case, it was a little different.

Not that I know of.

No, that has nothing to do with the issues with your wireless device.

3 Likes